.site-header {
  position: relative;
  max-width: $max-width-mobile;
  @include floatCenter;
  @include margin-top(2);
  margin-bottom: 0;
}

article header {
  margin-top: 0;
}

.logo {
  display: none;
  font-family: $custom-font-headings;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 30px;

  a {
    text-decoration: none;
    color: $bwt-black;
  }
}

header nav {
  font-weight: bold;
  margin-bottom: 0;

  a {
    font-family: $custom-font-acumin;
    color: $bwt-black;
    text-decoration: none;
    display: inline-block;
    padding-bottom: 4px;
    margin-right: 15px;

    &:visited {
      color: $bwt-black;
    }

    &.active {
      @media screen and (min-width: $on-medium) {
        border-bottom: 3px solid $bwt-mix;
        padding-bottom: 8px;
      }
    }

    &:last-child {
      margin-right: 0;
    }
  }
}

@media screen and (min-width: $desktop) {
  .site-header {
    max-width: none;
  }
}

.site-nav {
  // top: 9px;
  text-align: right;

  .nav-trigger {
      display: none;
  }

  .menu-icon {
    float: right;
    width: 18px;
    height: 26px;
    line-height: 0;
    padding-top: 4px;
    text-align: center;

    > svg path {
      fill: $bwt-black;
    }
  }

  label[for="nav-trigger"] {
    display: block;
    float: right;
    width: 36px;
    height: 36px;
    z-index: 2;
    cursor: pointer;
  }

  input ~ .trigger {
    clear: both;
    display: none;
  }

  input:checked ~ .trigger {
    display: block;
    padding-bottom: 5px;
  }

  .page-link {
    // color: $text-color;
    display: block;
    margin-bottom: 0;

    // Gaps between nav items, but not on the last one
    &:not(:last-child) {
      margin-right: 0;
    }
    margin-left: 20px;
  }

  @media screen and (min-width: $desktop) {
    position: static;
    float: right;
    border: none;
    background-color: inherit;

    label[for="nav-trigger"] {
      display: none;
    }

    .menu-icon {
      display: none;
    }

    input ~ .trigger {
      display: block;
    }

    .page-link {
      display: inline;

      &:not(:last-child) {
        margin-right: 20px;
      }
      margin-left: auto;
    }
  }
}

@media screen and (max-width: $desktop) {
  .page-link {  
    padding-bottom: 10px;
  }
}

.button-get-book {
  display: inline-block;
  width: 150px;
}

@media screen and (min-width: $desktop) {
  .nav-logo {
    margin-top: 12px;
  }
}
